###################################################################################################
# zmsinvocationhandler.py
#
# $Id: zmsinvocationhandler.py,v 1.2 2004/11/30 20:04:16 dnordmann Exp $
# $Name:  $
# $Author: dnordmann $
# $Revision: 1.2 $
#
# Implementation of class ZMSInvocationHandler (see below).
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
###################################################################################################

# Imports.
from Globals import HTMLFile
from Globals import MessageDialog
from Globals import Persistent   
import OFS.SimpleItem
import Acquisition
import AccessControl.Role
import os
import urllib


###################################################################################################
###   
###   Constructor
###   
###################################################################################################
def manage_addZMSLog(self, REQUEST=None, RESPONSE=None):
  """ manage_addZMSLog """
  obj = ZMSInvocationHandler()
  self._setObject(obj.id, obj)
  return RESPONSE.redirect( '%s/manage_main'%self.absolute_url())



###################################################################################################
###
###   Class
###
###################################################################################################
class ZMSInvocationHandler(
    OFS.SimpleItem.Item,
    Persistent,
    Acquisition.Implicit,
    AccessControl.Role.RoleManager
    ): 

    # Properties.
    # -----------
    meta_type = 'ZMS Invocation Handler'
    icon = 'misc_/OFSP/Folder_icon.gif'

    # Management Options.
    # -------------------
    manage_options = (
	{ 'label': 'Properties','action': 'manage_properties'},
        ) 

    manage_properties = HTMLFile( 'dtml/zmsinvocationhandler/manage_properties', globals())

    ###############################################################################################
    #  ZMSInvocationHandler.__init__: 
    #
    #  Initialise a new instance of ZMSInvocationHandler.
    ###############################################################################################
    def __init__(self):
      self.id = 'zms_invocation_handler'

    ###############################################################################################
    #  ZMSInvocationHandler.setProperties: 
    #
    #  Set properties.
    ###############################################################################################
    def setProperties(self, REQUEST, RESPONSE): 
      """ ZMSInvocationHandler.setProperties """
      return RESPONSE.redirect( REQUEST[ 'HTTP_REFERER'])

###################################################################################################
